package com.xoado.domain.exception;

import com.alibaba.fastjson.JSONObject;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public class BusinessException extends RuntimeException{

    /**
     *
     */
    private static final long serialVersionUID = 1L;
    //异常信息
    private Integer code;
    private String message;
    private Object object;

    public BusinessException(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public BusinessException(Integer code, String message, Object object) {
        this.code = code;
        this.message = message;
        this.object = object;
    }

    public BusinessException(Integer code, String message, Throwable cause) {
        super(message, cause);
        this.code = code;
    }

    public BusinessException() {
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    /**
     * @return the object
     */
    public Object getObject() {
        return object;
    }

    /**
     * @param object the object to set
     */
    public void setObject(Object object) {
        this.object = object;
    }

    /**
     * 将异常转换成Json串发送
     *
     * @param response 响应给前台的
     * @throws IOException 异常类
     */
    public static void exceptionJson(BusinessException e, HttpServletResponse response)
            throws IOException {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("status", e.getCode());
        jsonObject.put("msg", e.getMessage());
        jsonObject.put("data", e.getObject());
        response.setContentType("text/html;charset=UTF-8");
        response.getWriter().write(jsonObject.toString());
    }
}
