package com.xoado.domain.util;

import java.text.SimpleDateFormat;
import java.util.Date;

public class FakeLog {

    //使用ThreadLocal代替原来的new SimpleDateFormat
    private static final ThreadLocal<SimpleDateFormat> dateFormatter = new ThreadLocal<SimpleDateFormat>(){
        @Override
        protected SimpleDateFormat initialValue() {
            return  new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        }
    };

    public static void log(String...text){
        System.out.print(dateFormatter.get().format(new Date()));
        System.out.print(" : ");
        for (String t:text){
            System.out.print(t);
        }
        System.out.println();
    }

}
